Next Previous Contents

## 3.17 abort

> Function

>   Terminates a program abnormally.

> Header

>   `stdlib.h`

> Declaration

>   `void abort (void);`

> Description

>   `abort` raises `SIGABRT`, writes a termination message on stderr, then terminates the program with an exit code of 3.

> Availability

>   ISO 9899

> See also

>   assert, exit, raise

> Example

>   None.

Next Previous Contents